﻿namespace IgHierarchicalGridSimpleDemo.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;

    public class Category
    {
        public int Id { get; set; }

        public string Name { get; set; }

        public string Description { get; set; }

        public IEnumerable<Product> Products { get; set; }

        public Category(int id, string name, string description, IEnumerable<Product> products)
        {
            this.Id = id;
            this.Name = name;
            this.Description = description;
            this.Products = products;
        }
    }
}